#START:link
class Sidebar::LinkController < ActionController::Base

  uses_component_template_root

#END:link   class MyLinks
     Link = Struct.new(:name, :url)

     def self.find(*ignored)
       [ Link.new("pragdave", "http://blogs.pragprog.com/pragdave"),
         Link.new("automation", "http://pragmaticautomation.com")
       ]
     end

#START:link
  def get_links
    @links = self.class.find(:all)
    render(:layout => false)
  end

end
#END:link
